DeleteFederationQueuePoliciesRequestPBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb, class: DeleteFederationQueuePoliciesRequestPBImpl

Package org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb

# Class DeleteFederationQueuePoliciesRequestPBImpl

java.lang.Object
org.apache.hadoop.yarn.server.api.protocolrecords.DeleteFederationQueuePoliciesRequest
org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb.DeleteFederationQueuePoliciesRequestPBImpl

@Private @Unstable public class DeleteFederationQueuePoliciesRequestPBImpl extends org.apache.hadoop.yarn.server.api.protocolrecords.DeleteFederationQueuePoliciesRequest
Protocol buffer based implementation of `DeleteFederationQueuePoliciesRequest`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeleteFederationQueuePoliciesRequestPBImpl()`
  `DeleteFederationQueuePoliciesRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.DeleteFederationQueuePoliciesRequestProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.DeleteFederationQueuePoliciesRequestProto`
  `getProto()`
  `List<String>`
  `getQueues()`
  `int`
  `hashCode()`
  `void`
  `setQueues(List<String> pQueues)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.yarn.server.api.protocolrecords.DeleteFederationQueuePoliciesRequest

  `newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DeleteFederationQueuePoliciesRequestPBImpl

    public DeleteFederationQueuePoliciesRequestPBImpl()

  - ### DeleteFederationQueuePoliciesRequestPBImpl

    public DeleteFederationQueuePoliciesRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.DeleteFederationQueuePoliciesRequestProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.DeleteFederationQueuePoliciesRequestProto getProto()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### getQueues

    public List<String> getQueues()
    Specified by:
      `getQueues` in class `org.apache.hadoop.yarn.server.api.protocolrecords.DeleteFederationQueuePoliciesRequest`

  - ### setQueues

    public void setQueues(List<String> pQueues)
    Specified by:
      `setQueues` in class `org.apache.hadoop.yarn.server.api.protocolrecords.DeleteFederationQueuePoliciesRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`